Retrieve a conference participant
Retrieve details of a specific conference participant by their ID or label.
GET
/
conferences
/
{id}
/
participants
/
{participant_id}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.conferences.retrieveParticipant('participant_id', {
id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.conferences.retrieve_participant(
participant_id="participant_id",
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Conferences.GetParticipant(
context.TODO(),
"participant_id",
telnyx.ConferenceGetParticipantParams{
ID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveParticipantParams;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveParticipantResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceRetrieveParticipantParams params = ConferenceRetrieveParticipantParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.participantId("participant_id")
.build();
ConferenceRetrieveParticipantResponse response = client.conferences().retrieveParticipant(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.conferences.retrieve_participant("participant_id", id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->conferences->retrieveParticipant(
'participant_id', id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences retrieve-participant \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--participant-id participant_idcurl --request GET \
--url https://api.telnyx.com/v2/conferences/{id}/participants/{participant_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"call_control_id": "<string>",
"call_leg_id": "<string>",
"conference_id": "<string>",
"label": "<string>",
"muted": true,
"on_hold": true,
"whisper_call_control_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"end_conference_on_exit": true,
"soft_end_conference_on_exit": true
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the conference.
Uniquely identifies the participant by their ID or label.
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.conferences.retrieveParticipant('participant_id', {
id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.conferences.retrieve_participant(
participant_id="participant_id",
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Conferences.GetParticipant(
context.TODO(),
"participant_id",
telnyx.ConferenceGetParticipantParams{
ID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveParticipantParams;
import com.telnyx.sdk.models.conferences.ConferenceRetrieveParticipantResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceRetrieveParticipantParams params = ConferenceRetrieveParticipantParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.participantId("participant_id")
.build();
ConferenceRetrieveParticipantResponse response = client.conferences().retrieveParticipant(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.conferences.retrieve_participant("participant_id", id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->conferences->retrieveParticipant(
'participant_id', id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences retrieve-participant \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--participant-id participant_idcurl --request GET \
--url https://api.telnyx.com/v2/conferences/{id}/participants/{participant_id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"call_control_id": "<string>",
"call_leg_id": "<string>",
"conference_id": "<string>",
"label": "<string>",
"muted": true,
"on_hold": true,
"whisper_call_control_ids": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"end_conference_on_exit": true,
"soft_end_conference_on_exit": true
}
}